package model

import (
	"net"
	"server/dao"
	"sync"
)

var (
	InductanceTCP  net.Listener
	Mutex          sync.Mutex
	ConnectionMap1 = &sync.Map{}
)

type QueueData struct {
	Id    string `json:"id"`
	Value []byte `json:"value"`
}

type DeviceRequest struct {
	Device dao.Device `json:"device"`
	State  int        `json:"state"`
}

type DevicesRequest struct {
	Devices []dao.Device `json:"devices"`
	State   int          `json:"state"`
}
